Skip to main content
GET
/
calendar
/
dividends
Get dividends calendar
curl --request GET \
  --url https://openapi.ainvest.com/open/calendar/dividends \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "data": [
      {
        "ticker": "<string>",
        "ex_date": "<string>",
        "pay_date": "<string>",
        "amount": 123
      }
    ]
  },
  "status_code": 123,
  "status_msg": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ainvest.com/llms.txt

Use this file to discover all available pages before exploring further.

Asking Claude about dividends income using Ainvest MCP server

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your key. Get the key here

Query Parameters

date
string
required

The date for which to get dividends, format YYYY-MM-DD

Response

Successful response in standard envelope

data
object
status_code
number

Status code, 0 for success

status_msg
string

Status message, success for success